/**
 * @author john-erik@jeowebproductions.com
 */

/**
 * validateForm checks to see that there is some content in each form textfield element that has the "formElementValidate" 
 * style applied to it. formElementValidate may exist as a separate CSS style, defined to distinguish required fields
 * or it may just be a name checked by the validate code, assuming some other CSS style is inherited to specify
 * form field elements.
 * @method validateForm(formObj)
 * @param formObj is pointer to the form object
 * Usage 1: <form name="myForm" method="post" action="return validateForm(this.form.name);" >
 * Usage 2: <input type="submit" value="Submit"  onclick="return validateForm(this.form);" />
 **/

 function validateForm(formObj) {
// 	var formObj = document.getElementById(formName);
// 	alert("name passed in " +formObj.name);

for (var i=0; i<formObj.elements.length; i++) {
	if( formObj.elements[i].className == "formElementValidate" && formObj.elements[i].value.length == 0 ) { // 
		alert("FORM ERROR: Please supply valid, non-blank answer for " +formObj.elements[i].name);
		formObj.elements[i].focus();
		return false;
	}  
	
 	}

 	return true;
 }
